.PHONY: all clean

all: ../tmp/before.html ../tmp/index.html ../tmp/index_slides.html 

../tmp/before.html: before.md
	mkdir -p ../tmp
	pandoc -o $@ $<
	cp template.css slidy.css slidy.js ../tmp

../tmp/index.html: index.md 
	pandoc --template template.html --css template.css --toc --toc-depth 1 --include-before ../tmp/before.html -s -o $@ $<

../tmp/index_slides.html: index.md 
	pandoc --template template_slidy.html --toc-depth 1 -t slidy -s -o $@ $<

clean:

